Bug 794765 - [as7 plugin] add maxThreads trait to JBossAS Embedded JBossWeb Connector Resources
[as7 plugin] add maxThreads trait to JBossAS Embedded JBossWeb Connector Reso...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
Unspecified Unspecified
urgent Severity low (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 769861
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-02-17 10:10 EST by Ian Springer
Modified: 2013-08-31 05:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 769861
Environment:
Last Closed: 2013-08-31 05:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Charles Crouch 2012-02-21 16:16:01 EST
This bug is to get the feature that was patched into as4 and 5 plugins, pushed into the as7 plugin too.
Comment 2 Simeon Pinder 2012-02-22 09:53:25 EST
This issue is currently blocked by AS7 bug: 
  https://issues.jboss.org/browse/JBPAPP-8188
Comment 3 Charles Crouch 2012-04-09 15:50:20 EDT
Tidied up blocker bugs and set to Urgent.
Whats the next step now JBPAPP-8188 has been resolved?
Comment 4 Simeon Pinder 2012-04-09 17:20:31 EDT
The original fix now needs to be applied using max-connections wherever max-threads would have applied.
Comment 5 Heiko W. Rupp 2012-04-10 16:16:08 EDT
max-connections is a configuration entry, not a metric

"max-connections" => {
                "type" => INT,
                "description" => "Amount of concurrent connections that can be processed by the connector with optimum performance. The default value depends on the connector used.",
                "expressions-allowed" => false,
                "nillable" => true,
                "min" => 1L,
                "max" => 2147483647L,
                "access-type" => "read-write",
                "storage" => "configuration",
                "restart-required" => "all-services"
            },



I have reopened https://issues.jboss.org/browse/AS7-4115
Comment 6 Heiko W. Rupp 2012-04-13 10:32:02 EDT
Trait will query the metric on as . If it returns null, we return some default.
Comment 7 Heiko W. Rupp 2012-04-13 11:02:30 EDT
Defaults (from JCF) are
 
512 * number of cpu cores for JIO.
32 * number of cpu cores for APR.
Comment 8 Heiko W. Rupp 2012-04-18 06:11:27 EDT
master 50dcfe774c99
Comment 9 dsteigne 2012-05-14 10:19:19 EDT
Installed as 7 server and verified Trait was now available

Note You need to log in before you can comment on or make changes to this bug.